#!/bin/sh -e
install()
{
  if [ $# -ne 1 ] || ! [ -d "$1" ]; then
    >&2 printf "%s:usage: install <prefix>\n" "${0##*/}"
    return 1
  fi
  path=$(cd -- "$1" && pwd)
  mkdir -p "${path}/lib/pkgconfig"
  sed "s#@PREFIX@#${path}#" "${path}/share/spkg/random123.pc.in" \
    > "$1/lib/pkgconfig/random123.pc"
}
uninstall()
{
  if [ $# -ne 1 ]; then
    >&2 printf "%s:usage: uninstall <prefix>\n" "${0##*/}"
    return 1
  fi
  rm -f "$1/lib/pkgconfig/random123.pc"
  rm -f "$1/include/Random123/ars.h"
  rm -f "$1/include/Random123/conventional/gsl_cbrng.h"
  rm -f "$1/include/Random123/conventional/Engine.hpp"
  rm -f "$1/include/Random123/ReinterpretCtr.hpp"
  rm -f "$1/include/Random123/aes.h"
  rm -f "$1/include/Random123/u01fixedpt.h"
  rm -f "$1/include/Random123/uniform.hpp"
  rm -f "$1/include/Random123/gsl_microrng.h"
  rm -f "$1/include/Random123/threefry.h"
  rm -f "$1/include/Random123/MicroURNG.hpp"
  rm -f "$1/include/Random123/philox.h"
  rm -f "$1/include/Random123/features/msvcfeatures.h"
  rm -f "$1/include/Random123/features/sse.h"
  rm -f "$1/include/Random123/features/pgccfeatures.h"
  rm -f "$1/include/Random123/features/clangfeatures.h"
  rm -f "$1/include/Random123/features/compilerfeatures.h"
  rm -f "$1/include/Random123/features/open64features.h"
  rm -f "$1/include/Random123/features/gccfeatures.h"
  rm -f "$1/include/Random123/features/metalfeatures.h"
  rm -f "$1/include/Random123/features/nvccfeatures.h"
  rm -f "$1/include/Random123/features/xlcfeatures.h"
  rm -f "$1/include/Random123/features/sunprofeatures.h"
  rm -f "$1/include/Random123/features/iccfeatures.h"
  rm -f "$1/include/Random123/features/openclfeatures.h"
  rm -f "$1/include/Random123/array.h"
  rm -f "$1/include/Random123/boxmuller.hpp"
  rm -f "$1/share/spkg/random123.sh"
  rm -f "$1/share/spkg/random123.pc.in"
  rm -f "$1/share/doc/Random123/LICENSE"
}
"$@"
